Name: scratch-milab
Summary: Sets up a scratch directory for MILAB machines.
Version: 1.0
Release: 1
License: Not to be distributed outside of CUED
Group: CUED/MILAB/Configuration
Source0: scratch
Source1: agefiles
Source2: cronwrap.cron
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
BuildArch: noarch
Distribution: SUSE
Requires: aaa_base permissions 

%description
Sets up a scratch directory on MILAB machines. Uses suse security
mechanism to ensure that the correct permissions are maintained.

%install
cd "$RPM_SOURCE_DIR"
mkdir -p "$RPM_BUILD_ROOT"/etc/permissions.d
mkdir -p "$RPM_BUILD_ROOT"/scratch
cp scratch "$RPM_BUILD_ROOT"/etc/permissions.d/scratch

%clean

%files 
%dir %attr(1777,root,root) /scratch
%attr(644,root,root) /etc/permissions.d/scratch

%post
ed /etc/sysconfig/cron <<EOF
/LONG_TMP_DIRS_TO_CLEAR=/
s/"/"\/scratch /
w
/MAX_DAYS_IN_LONG_TMP=/
s/".*"/"28"/
w
q
EOF

%postun
ed /etc/sysconfig/cron <<EOF
/LONG_TMP_DIRS_TO_CLEAR=/
s/"\/scratch /"/
w
q
EOF


%changelog
* Tue Jun 06 2006 Anna Langley <jal58@cam.ac.uk>
  Created initial RPM.
